
#version 330

layout (location = 0) in vec2 vertexPos;
layout (location = 1) in vec2 uvCoords;

out vec2 oUVCoords;

uniform mat3 transform;

void main() {
	vec3 result = transform * vec3(vertexPos, 1.0);
	gl_Position = vec4(result.x, result.y, 0.0, result.z);
	oUVCoords = uvCoords;
}
